Subject: Re: [PATCH 00/13] powerpc/bpf: Some fixes and updates

From: "Naveen N. Rao" <[email-masked]>
Date: Fri, 07 Jan 2022 13:06:01 +0530

Hi Daniel,

Daniel Borkmann wrote:
> Hi Naveen,
> 
> On 1/6/22 12:45 PM, Naveen N. Rao wrote:
>> A set of fixes and updates to powerpc BPF JIT:
>> - Patches 1-3 fix issues with the existing powerpc JIT and are tagged
>>    for -stable.
>> - Patch 4 fixes a build issue with bpf selftests on powerpc.
>> - Patches 5-9 handle some corner cases and make some small improvements.
>> - Patches 10-13 optimize how function calls are handled in ppc64.
>> 
>> Patches 7 and 8 were previously posted, and while patch 7 has no
>> changes, patch 8 has been reworked to handle BPF_EXIT differently.
> 
> Is the plan to route these via ppc trees? Fwiw, patch 1 and 4 look generic
> and in general good to me, we could also take these two via bpf-next tree
> given outside of arch/powerpc/? Whichever works best.

Yes, I would like to route this through the powerpc tree. Though patches 
1 and 4 are generic, they primarily affect powerpc and I do not see 
conflicting changes in bpf-next. Request you to please ack those patches 
so that Michael can take it through the powerpc tree.

Thanks!
- Naveen